/* 変数管理システム */
#include "var.h"

short VarNkchk(VARSYS2 *var,void (*func)(short,unchar *))
/* 未確定変数チェック */
{
short p,count=0;
unsint type;
	for (p=VTOP2;p<var->vpoint;p++) {
		if (var->vwork[p].type&VKAKU) { /* 未確定変数 */
			count++;
			if (func!=NULL) func(count,var->vwork[p].adrs+(var->mode&BIT0));
		}
	}
	return(count);
}
